Bug Hunting Session
Bug 90565 - UI Dialog "Number format" (Writer tables) has focus on Help button, rather then on list Category
Summary: UI Dialog "Number format" (Writer tables) has focus on Help button, rather th...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.beta1
Hardware: Other All
: low trivial
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:4.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-04-11 13:16 UTC by Cor Nouws
Modified: 2015-12-17 08:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2015-04-11 13:16:52 UTC
as per description
Must be little glitch after rework of the dialog for the new dialog handling.
Comment 1 Cor Nouws 2015-04-11 13:38:53 UTC
setting first version to 4..0.0 - educated guess -
Comment 2 Adolfo Jayme 2015-04-11 14:34:57 UTC
Very similar to bug 57174
Comment 3 Cor Nouws 2015-04-11 14:57:46 UTC
(In reply to Adolfo Jayme from comment #2)
> Very similar to bug 57174

That is description of a good general habit.
For most dialog the behavior is OK, as far as I am aware.
When I see a problem, I always create an issue for a specific dailog
Comment 4 Matthew Francis 2015-04-12 05:11:10 UTC
It was actually the below commit - not nearly as old as 4.0.
Adding Cc: to s.mehrbrodt@gmail.com; I assume there should be an easy way to set the default focus in the .ui?

    commit a51aa75d92eadaa613192a1773e0b78b0df74527
    Author:     Adolfo Jayme Barrientos <fitojb@ubuntu.com>
    AuthorDate: Sat Oct 18 08:25:16 2014 -0500
    Commit:     Samuel Mehrbrodt <s.mehrbrodt@gmail.com>
    CommitDate: Sat Nov 1 21:04:26 2014 +0000
    
        fdo#78826 HIG: missing colons and capitalization in cui, filter
    
        * Fix capitalization
        * Standardize spacing
        * Standardize Help button\u2019s position
Comment 5 Matthew Francis 2015-04-12 05:12:56 UTC
Apologies - I read that backwards. Should have Cc'd to fito@libreoffice.org rather than s.mehrbrodt@gmail.com
Comment 6 Commit Notification 2015-05-06 10:12:48 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8fcf3f01e48ae7453d70cfd5ae0acc2d8c50d58

tdf#90565: Focus category list on showing the dialog

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-07 15:59:38 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d23245424d872540345beb0aff2aa4b3784e056e&h=libreoffice-4-4

tdf#90565: Focus category list on showing the dialog

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:52:27 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]